Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 3957)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 3958)
@@ -85,8 +85,7 @@
 	 * 
 	 * @throws InvalidCqpIdException the invalid cqp id exception
 	 */
-	public QueryResult(String cqpId, String name, CQPCorpus queriedCorpus,
-			CQLQuery query) throws InvalidCqpIdException {
+	public QueryResult(String cqpId, String name, CQPCorpus queriedCorpus, CQLQuery query) throws InvalidCqpIdException {
 		
 		// super(cqpId);
 		checkCqpId(cqpId);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3957)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3958)
@@ -1472,16 +1472,16 @@
 			//CorpusManager.getCorpusManager().getCqiClient().cqpQuery(this.getQualifiedCqpId(), queryResultId, fixedQuery);
 			
 			String q = query.getQueryString();
-			if (q.matches("undump \"[^ ]+\";")) { // undump query
+			if (q.matches("undump \"[^\"]+\";")) { // undump query
 				String path = q.substring(8, q.length() - 2);
 				if (!new File(path).exists()) {
 					Log.severe(NLS.bind("Error: could not compute subcorpus from the dump file: {0}.", path));
 					return null;
 				}
-				CorpusManager.getCorpusManager().getCqiClient().query(";");
+				CorpusManager.getCorpusManager().getCqiClient().query(this.getQualifiedCqpId()+";");
 				CorpusManager.getCorpusManager().getCqiClient().query("undump "+queryResultId+" < "+q.substring(7));
 			} else if (q.matches("(union|join|intersect|inter|difference|diff) [^ ]+ [^ ]+;")) {
-				CorpusManager.getCorpusManager().getCqiClient().query(";");
+				CorpusManager.getCorpusManager().getCqiClient().query(this.getQualifiedCqpId()+";");
 				CorpusManager.getCorpusManager().getCqiClient().query(queryResultId+" = "+q);
 			} else {
 				//String fixedQuery = CQLQuery.fixQuery(query.getQueryString());
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3957)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3958)
@@ -152,16 +152,16 @@
 			}
 			
 			String q = this.pQuery.getQueryString();
-			if (q.matches("undump \"[^ ]+\";")) { // undump query
+			if (q.matches("undump \"[^\"]+\";")) { // undump query
 				String path = q.substring(8, q.length() - 2);
 				if (!new File(path).exists()) {
 					Log.severe(NLS.bind("Error: could not compute subcorpus from the dump file: {0}.", path));
 					return false;
 				}
-				CorpusManager.getCorpusManager().getCqiClient().query(";");
+				CorpusManager.getCorpusManager().getCqiClient().query(this.getCorpusParent().getQualifiedCqpId()+";");
 				CorpusManager.getCorpusManager().getCqiClient().query("undump "+this.pID+" < "+q.substring(7));
 			} else if (q.matches("(union|join|intersect|inter|difference|diff) [^ ]+ [^ ]+;")) {
-				CorpusManager.getCorpusManager().getCqiClient().query(";");
+				CorpusManager.getCorpusManager().getCqiClient().query(this.getCorpusParent().getQualifiedCqpId()+";");
 				CorpusManager.getCorpusManager().getCqiClient().query(this.pID+" = "+q);
 			} else {
 				CorpusManager.getCorpusManager().getCqiClient().cqpQuery(parent_id, this.pID, CQLQuery.fixQuery(q, this.getLang()));
@@ -171,9 +171,10 @@
 //				}
 			}
 			
-			this.qresult = this.pQuery.getSearchEngine().query(this.getCorpusParent(), this.pQuery, this.getUserName(), true);
+			//this.qresult = this.pQuery.getSearchEngine().query(this.getCorpusParent(), this.pQuery, this.getUserName(), true);
 			
-			//this.qresult = new QueryResult(this.pID, this.getUserName(), this.getCorpusParent(), this.pQuery); // getCorpusParent().query(pQuery, this.pID, true);
+			this.qresult = new QueryResult(this.pID, this.getUserName(), this.getCorpusParent(), (CQLQuery) this.pQuery); // getCorpusParent().query(pQuery, this.pID, true);
+			//  queryResult = new QueryResult(queryResultId, queryResultName, this, query);
 		}
 		
 		cqpTextIDS = null; // reset text ids cache
